org.eclipse.wst.jsdt.ui

## Class ProblemsLabelDecorator.ProblemsLabelChangedEvent

- java.lang.Object
- - LabelProviderChangedEvent
  - - org.eclipse.wst.jsdt.ui.ProblemsLabelDecorator.ProblemsLabelChangedEvent

Enclosing class:
  ProblemsLabelDecorator

    public static class ProblemsLabelDecorator.ProblemsLabelChangedEvent
    extends LabelProviderChangedEvent

This is a special `LabelProviderChangedEvent` carrying additional information whether the event origins from a maker change.

`ProblemsLabelChangedEvent`s are only generated by `ProblemsLabelDecorator`s.

### Constructor Summary

Constructors
Constructor and Description
`ProblemsLabelChangedEvent(IBaseLabelProvider eventSource, IResource[] changedResource, boolean isMarkerChange)` Note: This constructor is for internal use only.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isMarkerChange()` Returns whether this event origins from marker changes.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProblemsLabelChangedEvent

    public ProblemsLabelChangedEvent(IBaseLabelProvider eventSource,
                                     IResource[] changedResource,
                                     boolean isMarkerChange)

Note: This constructor is for internal use only. Clients should not call this constructor.

Parameters:
  `eventSource` - the base label provider
  `changedResource` - the changed resources
  `isMarkerChange` - `true` if the change is a marker change; otherwise `false`

### Method Detail

#### isMarkerChange

    public boolean isMarkerChange()

Returns whether this event origins from marker changes. If `false` an annotation model change is the origin. In this case viewers not displaying working copies can ignore these events.

Returns:
  if this event origins from a marker change.